/*******************************************************************************/
/*                                                                             */
/*    Copyright (c) 2007 Analog Devices, Inc.  All Rights Reserved.            */
/*    This software is proprietary to Analog Devices, Inc. and its 			   */
/*	  licensors.                                  							   */
/*                                                                             */
/*    CHANGES:  07/02/2007  1.00  - initial public release  				   */
/*																			   */
/*******************************************************************************/

/*********************************************************************

Include files

*********************************************************************/

#include "main.h"
#include "system.h"

/*
	Function:void InitDMA(tDMA_descriptor*)
	
	Description: Initialize PPI DMA.  
*/

void Init_PPI_DMA(tDMA_descriptor* frame)
{
	#ifdef PACKDISABLE // If packing is disabled then use 8-bit word DMA
		*pDMA1_1_X_COUNT = 858 ;	
		*pDMA1_1_Y_COUNT = 525;//lines;
		*pDMA1_1_X_MODIFY = 1;//transfer_length_bytes;		
		*pDMA1_1_Y_MODIFY = 1;//transfer_length_bytes;		
		*pDMA1_1_NEXT_DESC_PTR = frame;
		*pDMA1_1_CONFIG = 0x7490;//|WNR;
		//0x7498
		ssync();
	#else
		*pDMA1_1_X_COUNT = 858 ;	
		*pDMA1_1_Y_COUNT = 525;//lines;
		*pDMA1_1_X_MODIFY = 2;//transfer_length_bytes;		
		*pDMA1_1_Y_MODIFY = 2;//transfer_length_bytes;		
		*pDMA1_1_NEXT_DESC_PTR = frame;
		*pDMA1_1_CONFIG = 0x7494;//|WNR;
		//0x7498
		ssync();
	#endif
	
}
